My Oracle Support Banner

Errors Upgrading APEX 3.2 to 5.0 (Doc ID 2254051.1)

Last updated on AUGUST 04, 2018

Applies to:

Oracle Application Express (formerly HTML DB) - Version 5.0.3.00 and later
Information in this document applies to any platform.

Symptoms

Cannot upgrade APEX from 3.2 (installed in Database 11.2.0.4) to 5.0.
Upgrade failed.
There are 83 APEX invalids.

Error reported in apex installation log;

ORA-04063: package body "APEX_050000.WWV_FLOW" has errors
ORA-06508: PL/SQL: could not find program unit being called:
"APEX_050000.WWV_FLOW"
ORA-06512: at "APEX_050000.WWV_FLOW_RESTRICTED_SCHEMA_T1", line 2
ORA-04088: error during execution of trigger
'APEX_050000.WWV_FLOW_RESTRICTED_SCHEMA_T1'
ORA-06512: at line 50

...Page Designer metadata install
Enter YES (or hit enter) to load system messages and NO to skip it (NO should only be used
during installation)

Property Editor - Metadata

...Internal messages
begin
*
ERROR at line 1:
ORA-04063: package body "APEX_050000.WWV_FLOW_API" has errors
ORA-06508: PL/SQL: could not find program unit being called:
"APEX_050000.WWV_FLOW_API"
ORA-06512: at line 2

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Cause
Solution


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.